Package com.usatiuk.dhfs.peerdiscovery

# Class StaticPeerDiscovery

java.lang.Object
com.usatiuk.dhfs.peerdiscovery.StaticPeerDiscovery

@ApplicationScoped public class StaticPeerDiscovery extends Object

## Constructor Summary

Constructors
Constructor
Description
`StaticPeerDiscovery(Optional<String> staticPeers)`

## Method Summary

Modifier and Type
Method
Description
`void`
`discoverPeers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticPeerDiscovery

public StaticPeerDiscovery(Optional<String> staticPeers)

## Method Details

### discoverPeers

public void discoverPeers()